net.sourceforge.pmd.symboltable

## Class ScopeCreationVisitorTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.ScopeCreationVisitorTest

    public class ScopeCreationVisitorTest
    extends STBBaseTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`ScopeCreationVisitorTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testScopesAreCreated()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopeCreationVisitorTest

    public ScopeCreationVisitorTest()

### Method Detail

#### testScopesAreCreated

    public void testScopesAreCreated()

#### suite

    public static junit.framework.Test suite()